.Dd $Mdocdate: August 18 2013 $
.Dt CLOUDSTACK 1
.Os
.Sh NAME
.Nm cloudstack
.Nd command-line client for Apache CloudStack
.Sh SYNOPSIS
.Nm
.Op Fl -async
.Ar command
.Op Ar option=value ...
.Sh DESCRIPTION
.Nm
is a command-line client for Apache CloudStack.
.Ar command
should be the name of an API command.
.Nm
will return the result as a JSON-formatted output.
.Pp
Configuration is read from several locations, in the following order:
.Bl -bullet -offset 10 -compact
.It
the
.Li CLOUDSTACK_ENDPOINT ,
.Li CLOUDSTACK_KEY
and
.Li CLOUDSTACK_SECRET
environment variables,
.It
a
.Li CLOUDSTACK_CONFIG
environment variable pointing to an .ini file,
.It
a
.Li cloudstack.ini
file in the current working directory,
.It
a
.Li .cloudstack.ini
file in the home directory.
.El
.Sh SEE ALSO
For more documentation about
.Nm ,
have a look at the documentation of CloudStack API at
.Pa http://cloudstack.apache.org/docs/api/ .
